Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInteractorStyleJoystickCamera Class Reference

`#include <vtkInteractorStyleJoystickCamera.h>`

Inheritance diagram for vtkInteractorStyleJoystickCamera:

[legend]
Collaboration diagram for vtkInteractorStyleJoystickCamera:

[legend]
List of all members.

## Detailed Description

interactive manipulation of the camera

Date:
  2002/05/01 04:56:53

Revision:
  1.14

vtkInteractorStyleJoystickCamera allows the user to move (rotate, pan, etc.) the camera, the point of view for the scene. The position of the mouse relative to the center of the scene determines the speed at which the camera moves, and the speed of the mouse movement determines the acceleration of the camera, so the camera continues to move even if the mouse if not moving. For a 3-button mouse, the left button is for rotation, the right button for zooming, the middle button for panning, and ctrl + left button for spinning. (With fewer mouse buttons, ctrl + shift + left button is for zooming, and shift + left button is for panning.)

See also:
  vtkInteractorStyleJoystickActor vtkInteractorStyleTrackballCamera vtkInteractorStyleTrackballActor

Events:
  vtkCommand::InteractionEvent

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (47%)
  - Barre, Sebastien (44%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkInteractorStyleJoystickCamera.h)`
  - .`cxx` (`/Rendering/vtkInteractorStyleJoystickCamera.cxx)`

Definition at line 58 of file vtkInteractorStyleJoystickCamera.h.

## Public Types
typedef vtkInteractorStyle | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Rotate ()
virtual void | Spin ()
virtual void | Pan ()
virtual void | Dolly ()
virtual void | OnMouseMove ()
virtual void | OnLeftButtonDown ()
virtual void | OnLeftButtonUp ()
virtual void | OnMiddleButtonDown ()
virtual void | OnMiddleButtonUp ()
virtual void | OnRightButtonDown ()
virtual void | OnRightButtonUp ()
## Static Public Methods
vtkInteractorStyleJoystickCamera * | New ()
int | IsTypeOf (const char *type)
vtkInteractorStyleJoystickCamera * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInteractorStyleJoystickCamera ()
| ~vtkInteractorStyleJoystickCamera ()

## Member Typedef Documentation

typedef vtkInteractorStyle vtkInteractorStyleJoystickCamera::Superclass

| Reimplemented from vtkInteractorStyle. Definition at line 62 of file vtkInteractorStyleJoystickCamera.h.

## Constructor & Destructor Documentation

vtkInteractorStyleJoystickCamera::vtkInteractorStyleJoystickCamera | ( |  | ) | `[protected]`

vtkInteractorStyleJoystickCamera::~vtkInteractorStyleJoystickCamera | ( |  | ) | `[protected]`

## Member Function Documentation

vtkInteractorStyleJoystickCamera* vtkInteractorStyleJoystickCamera::New | ( |  | ) | `[static]`

| This class must be supplied with a vtkRenderWindowInteractor wrapper or parent. This class should not normally be instantiated by application programmers. Reimplemented from vtkInteractorStyle.

virtual const char* vtkInteractorStyleJoystickCamera::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInteractorStyle.

int vtkInteractorStyleJoystickCamera::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyle.

virtual int vtkInteractorStyleJoystickCamera::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyle.

vtkInteractorStyleJoystickCamera* vtkInteractorStyleJoystickCamera::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInteractorStyle.

void vtkInteractorStyleJoystickCamera::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::OnMouseMove | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::OnLeftButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::OnLeftButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::OnMiddleButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::OnMiddleButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::OnRightButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::OnRightButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::Rotate | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::Spin | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::Pan | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleJoystickCamera::Dolly | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

The documentation for this class was generated from the following file:

- Rendering/vtkInteractorStyleJoystickCamera.h